<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>PhotonDetectorDataStorage Member List</h1>This is the complete list of members for <a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#a43f891f9f0f1f5f6406378e2ca1376f5">GetHitFileName</a>() const </td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#a9dcaa48f12d7ca607bcab9350c93c5ec">GetHitMomentum</a>() const </td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#a6396d37f76845ead255b533c724641b7">GetHitPoint</a>() const </td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#ac23a2b741becb22583d034149f992415">GetNameOfVolumeThatWasHit</a>() const </td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#a312b2fc1654d822ba1804898946add6d">GetPreviousPreStepPointMomentum</a>() const </td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#ad7d2ce862fcbda37da65311a1186995d">GetPreviousPreStepPointPolarisation</a>() const </td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#a716340a9761f1a5eae4f0234129648a2">GetPreviousPreStepPointPosition</a>() const </td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#ac4b70bb787c0ebfb70c0b813951ea854">GetPreviousPreStepPointTime</a>() const </td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#a7719746b3e89a6889ff48df36e8a364e">PhotonDetectorDataStorage</a>(G4String hitFileName)</td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#adca8beab230376d6d6ae0692b450a6a7">PhotonDetectorWasHit</a>() const </td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#a8f8477ebc301c434a4abf0f4aed78938">SavePreviousStepOpticalPhotonData</a>(const G4Step *step)</td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#a8fe9d36b0f8275952876b581fd82fc33">SetDefaults</a>()</td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#afa64e2fb6f794353fa7ba0ce21905c49">SetHitMomentum</a>(G4ThreeVector hitmomentum)</td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#a967b50ccb8b31637724f4ece8471c5a0">SetHitPoint</a>(G4ThreeVector hitPoint)</td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#a170219ef21e36688dcb9d1c7c9804837">SetNameOfVolumeThatWasHit</a>(G4String hitVolumeName)</td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#a40dca165b7166b1f0f0a2b02ec74cc81">SetPhotonDetectorWasHit</a>()</td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorDataStorage.html#a322475e5f0ecec2c31e6f4be08359756">~PhotonDetectorDataStorage</a>()</td><td><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a></td><td><code> [inline]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
